%define _without_maven 1
BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# If you don't want to build with maven, and use straight ant instead,
# give rpmbuild option '--without maven'

%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}


Name:           maven-model
Version:        3.0.1
Release:        alt1_1jpp1.7
Epoch:          0
Summary:        Maven Model
License:        Apache Software License 2.0
Group:          Development/Java
URL:            http://maven.apache.org/

# svn co http://svn.apache.org/repos/asf/maven/components/tags/maven-model-3.0.1 maven-model-3.0.1
Source0:        maven-model-3.0.1-src.tar.gz
Source1:        nomaven-model-build.xml
Patch0:         maven-model-project_xml.patch

BuildArch:      noarch
BuildRequires: jpackage-utils >= 0:1.6
%if %{with_maven}
BuildRequires: maven
BuildRequires: maven-modello-plugin
%endif
BuildRequires: classworlds >= 0:1.1
BuildRequires: modello
BuildRequires: plexus-utils
BuildRequires: plexus-container-default
BuildRequires: plexus-velocity
BuildRequires: velocity

Requires: plexus-utils

%description
Maven's model for Java project.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.


%prep
cat <<EOT


If you don''t want to build with maven, and use straight ant instead,
give rpmbuild option '--without maven'

EOT
%setup -q -n %{name}-%{version}
cp %{SOURCE1} build.xml

%patch0 -b .sav

%build
%if %{with_maven}

mkdir -p .maven/repository/JPP/jars
build-jar-repository -s -p .maven/repository/JPP/jars \
classworlds \
modello/core \
modello/plugin-xml \
modello/plugin-xpp3 \
modello/plugin-xdoc \
modello/plugin-jpox \
modello/plugin-store \
plexus/container-default \
plexus/utils \
plexus/velocity \
velocity

mkdir -p .maven/repository/JPP/plugins
build-jar-repository -s -p .maven/repository/JPP/plugins \
maven-modello-plugin

export MAVEN_HOME_LOCAL=$(pwd)/.maven

maven \
        -Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
        -Dmaven.home.local=$MAVEN_HOME_LOCAL \
        jar javadoc
%else
export CLASSPATH=$(build-classpath modello/core modello/plugin-xpp3 modello/plugin-xml plexus/container-default plexus/utils classworlds)
#    <modello:generate model="maven.mdo" type="java" packageWithVersion="false" version="3.0.0" targetDirectory="target/generated-sources" />
java org.codehaus.modello.ModelloCli maven.mdo java target/generated-sources 3.0.0 false
#    <modello:generate model="maven.mdo" type="xpp3-reader" packageWithVersion="false" version="3.0.0" targetDirectory="target/generated-sources" />
java org.codehaus.modello.ModelloCli maven.mdo xpp3-reader target/generated-sources 3.0.0 false
#    <modello:generate model="maven.mdo" type="xpp3-writer" packageWithVersion="false" version="3.0.0" targetDirectory="target/generated-sources" />
java org.codehaus.modello.ModelloCli maven.mdo xpp3-writer target/generated-sources 3.0.0 false
#    <!-- Need the original package as well -->
#    <ant:copy tofile="target/maven.mdo.m1" file="maven.mdo" />
#    <ant:replace file="target/maven.mdo.m1" token="org.apache.maven.model" value="org.apache.maven.project" />
sed -e 's/org\.apache\.maven\.model/org.apache.maven.project/' maven.mdo > target/maven.mdo.m1
#    <modello:generate model="target/maven.mdo.m1" type="java" packageWithVersion="false" version="3.0.0" targetDirectory="target/generated-sources" />
java org.codehaus.modello.ModelloCli target/maven.mdo.m1 java target/generated-sources 3.0.0 false
#    <modello:generate model="target/maven.mdo.m1" type="xpp3-reader" packageWithVersion="false" version="3.0.0" targetDirectory="target/generated-sources" />
java org.codehaus.modello.ModelloCli target/maven.mdo.m1 xpp3-reader target/generated-sources 3.0.0 false
#    <modello:generate model="target/maven.mdo.m1" type="xpp3-writer" packageWithVersion="false" version="3.0.0" targetDirectory="target/generated-sources" />
java org.codehaus.modello.ModelloCli target/maven.mdo.m1 xpp3-writer target/generated-sources 3.0.0 false

ant -Dbuild.sysclasspath=only jar javadoc

%endif


%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 target/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/*

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}



%changelog
* Sat May 19 2007 Igor Vlasenko <viy@altlinux.ru> 0:3.0.1-alt1_1jpp1.7
- converted from JPackage by jppimport script

